# QNativeCamera Class Reference

Inheritance diagram for QNativeCamera:

List of all members.

## Public Types

enum | State { ActiveState = QCamera::ActiveState, LoadedState = QCamera::LoadedState, UnloadedState = QCamera::UnloadedState }

## Public Slots

void | start (const QString &device)
void | stop ()
void | cameraStateChanged (QCamera::State state)
void | handleImageSaved (int id, const QString &fileName)
virtual void | captureImage ()
virtual void | imageAvailable (int, QVideoFrame)
virtual void | imageCaptured (int id, const QImage &preview)
virtual void | imageExposed (int)
void | emitImageSavedSignal ()

## Signals

void | resolutionChanged (QSize resolution)
void | digitalZoomChanged ()
void | maximumDigitalZoomChanged ()
void | exposureCompensationChanged ()
void | exposureModeChanged ()
void | supportedExposureModesChanged ()
void | flashModeChanged ()
void | supportedFlashModesChanged ()
void | locked ()
void | lockFailed ()
void | isoValueChanged ()
void | supportedIsoValuesChanged ()
void | imageSaved (const QString &fileName)
void | cameraStateChanged ()
void | whiteBalanceModeChanged ()
void | supportedWhiteBalanceModesChanged ()
void | currentDeviceChanged ()
void | frontCameraChanged ()

## Public Member Functions

| QNativeCamera (QDeclarativeItem *parent=0)
QStringList | availableDevices () const
virtual void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
virtual bool | updateFrame (const QVideoFrame &frame)
QSize | resolution ()
void | setResolution (QSize &value)
qreal | exposureCompensation ()
void | setExposureCompensation (qreal)

## Protected Member Functions

void | destroyResources ()
State | cameraState () const
QString | currentDevice () const
bool | frontCamera () const

## Protected Attributes

qreal | m_exposureCompensation
QCamera * | m_camera
QString | m_currentDevice
bool | m_frontCamera
QCameraImageCapture * | m_cameraImageCapture
QMediaRecorder * | m_mediaRecorder
VideoSurface * | m_videoSurface
unsigned int | m_processedFrameCounter
unsigned int | m_incomingFrameCounter
QImage | m_imageFrame
QString | m_galleryImage
QSize | m_resolution

## Properties

State | cameraState
QStringList | availableDevices
QString | currentDevice
bool | frontCamera
QSize | resolution
qreal | exposureCompensation

The documentation for this class was generated from the following file:

- qnativecamera.h

All Classes Functions